#include <iostream>

using namespace std;

int n;

int main(void)
{
//  freopen("input.txt", "r", stdin);
//  freopen("output.txt", "w", stdout);
  cin >> n;
  for (int i=1; i<(n+1)/2; i++)
    cout << i << " " << n-i+1 << " ";
  if (n % 2 != 0) 
    cout << n/2+1;
  else
    cout << n/2 << " " << n/2+1;
  cout << endl;
  return 0;
}
